Lead Activity
Lead activities are social interactions (reactions, shares, clicks, comments, mentions, etc.) that the platform was able to associate with a specific person. This endpoint can be used to list and delete lead activities.
List Lead Activities
Lead activities are social interactions that Oktopost was able to associate with a specific person. For a complete list of all the social activities see this article.
Each activity includes a top-level PostlogId when it is associated with a published post. The value is null when no association exists, for example, for certain mention types or when the activity was recorded before the corresponding post record was created, particularly for posts published natively.
Example Request
curl -i https://api.oktopost.com/v2/lead-activityParameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| leadId | String | No | Get all the activities for a particular lead. |
Example Result
{
"Result": true,
"Items": [
{
"Id": "act000000000001",
"ContactId": "0ld000000000001",
"ActivityDate": "2020-01-10 08:30:00",
"AccountId": "001000000000001",
"Type": "click",
"Network": "Twitter",
"ProfileId": "003-001000000000001-123456",
"PostlogId": "007000000000000",
"Data": {}
},
{
"Id": "act000000000002",
"ContactId": "0ld000000000002",
"ActivityDate": "2020-01-10 08:30:00",
"AccountId": "001000000000001",
"Type": "comment",
"Network": "Facebook",
"ProfileId": "003-001000000000001-123456",
"PostlogId": null,
"Data": {}
}
]
}Response Fields
| Field | Type | Description |
|---|---|---|
| Id | String | Activity ID. |
| ContactId | String | Lead ID associated with the activity. |
| ActivityDate | String | Timestamp of the activity (YYYY-MM-DD HH:MM:SS). |
| AccountId | String | Account ID. |
| Type | String | Activity type (for example, click, comment, reaction). |
| Network | String | Social network where the activity occurred. |
| ProfileId | String | null | Social profile ID related to the activity, when available. |
| PostlogId | String | null | ID of the published post associated with the activity. null when the activity is not linked to a post. |
| Data | Object | Activity-type-specific payload. |
Delete Lead Activity
Example Request
curl -i https://api.oktopost.com/v2/lead-activity/act000000000001?leadId=0ld000000000001 -X DELETELeads
Leads are individuals that interact with your social content. Oktopost collects and stores leads' publicly available information. This endpoint can be used to list, get and delete leads.
Lead Integration Link
The Lead Integration Link is a connection between a lead and a specific contact within an integration.